ViennaCL - The Vienna Computing Library: tests/src/bisect.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Typedefs | Functions
bisect.cpp File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/bisect.hpp"`
`#include "viennacl/linalg/bisect_gpu.hpp"`
`#include "viennacl/linalg/tql2.hpp"`

Go to the source code of this file.

## Macros
#define | EPS 10.0e-4
#define | RANDOM_VALUES false

## Typedefs
typedef float | NumericT

## Functions
bool | runTest (unsigned int mat_size)
| Run a simple test. More...
template<typename NumericT >
void | initInputData (std::vector< NumericT > &diagonal, std::vector< NumericT > &superdiagonal, unsigned int mat_size)
| initInputData Initialize the diagonal and superdiagonal elements of the matrix More...
int | main ()

## Detailed Description

Computation of eigenvalues of a symmetric, tridiagonal matrix using bisection.

Test:
  Tests the bisection implementation for symmetric tridiagonal matrices.

Definition in file bisect.cpp.

## Macro Definition Documentation

#define EPS 10.0e-4

Definition at line 38 of file bisect.cpp.

#define RANDOM_VALUES false

## Typedef Documentation

typedef float NumericT

Examples:
  bisect.cpp, matrix-free.cpp, and multithreaded.cpp.

Definition at line 40 of file bisect.cpp.

## Function Documentation

template<typename NumericT >

void initInputData | ( | std::vector< NumericT > & | diagonal,
|  | std::vector< NumericT > & | superdiagonal,
|  | unsigned int | mat_size
| ) |  |

initInputData Initialize the diagonal and superdiagonal elements of the matrix

Parameters

  diagonal | diagonal elements of the matrix
  superdiagonal | superdiagonal elements of the matrix
  mat_size | Dimension of the matrix

Examples:
  bisect.cpp.

Definition at line 53 of file bisect.cpp.

int main | ( |  | ) |

Examples:
  amg.cpp, armadillo-with-viennacl.cpp, bandwidth-reduction.cpp, bisect.cpp, blas1.cpp, blas2.cpp, custom-context.cpp, custom-kernels.cpp, eigen-with-viennacl.cpp, examples/tutorial/libviennacl.cpp, fft.cpp, iterative-armadillo.cpp, iterative-custom.cpp, iterative-eigen.cpp, iterative-mtl4.cpp, iterative-ublas.cpp, iterative.cpp, lanczos.cpp, least-squares.cpp, matrix-free.cpp, matrix-range.cpp, mtl4-with-viennacl.cpp, multithreaded.cpp, multithreaded_cg.cpp, power-iter.cpp, spai.cpp, tql2.cpp, vector-range.cpp, viennacl-info.cpp, and wrap-host-buffer.cpp.

Definition at line 91 of file bisect.cpp.

bool runTest | ( | unsigned int | mat_size | ) |

Run a simple test.

Definition at line 125 of file bisect.cpp.